<?php if (Session::get("tipo_usuario") != "1"){ show_403();} ?>
<?php import_file(DIR_TEMPLATES."header.php", ["title" => "Cadastrar Tópico", "active_page" => "topicos"]); ?>

<h4 class="mb-3">
	<i class="fa-regular fa-plus"></i> Cadastrar Tópico
</h4>

<div class="content-box">
	<form id="form-topico">
		<div class="form-group">
			<label for="titulo-topico">Título<span class="text-danger">*</span></label>
			<input type="text" name="titulo_topico" id="titulo-topico" class="form-control" required>
		</div>
		
		<button type="submit" class="btn btn-primary">
			<i class="fa-regular fa-save"></i> Salvar
		</button>
		<a href="<?php echo show_link("/topicos/"); ?>" class="btn btn-secondary">
			<i class="fa-regular fa-arrow-left"></i> Voltar
		</a>
	</form>
</div>

<script>
	$("#form-topico").submit(function(event){
		event.preventDefault();
		var form = $(this);
		$.ajax({
			type: "POST",
			data: form.serialize(),
			url: "<?php echo show_link("/cadastrar-topico/"); ?>",
			async: true
		}).then(function(response){
			var result = $.parseJSON(response);
			if (result.status == true) {
				$.toast({
					heading: "Aviso",
					text: "Cadastro Realizado com Sucesso!",
					icon: "success",
					loader: true
				});

				form.each(function(){
					this.reset();
				});
			}
			else if (result.status == false && result.motivo == "titulo") {
				$("#titulo-topico").addClass("is-warning");
				$.toast({
					heading: "Aviso",
					text: "Um tópico com esse título já foi cadastrado no sistema!",
					icon: "warning",
					loader: true
				});
				$("#titulo-topico").keyup(function(){
					$(this).removeClass("is-warning");
					$(this).off("keyup");
				});
			}
			else{
				$.toast({
					heading: "Aviso",
					text: "Erro ao Realizar o Cadastro!",
					icon: "error",
					loader: true
				});
			}
		}, function(error){
			console.log("Erro: "+error);
		});
	});
</script>

<?php import_file(DIR_TEMPLATES."footer.php"); ?>